Index: /trunk/src/paper01/fig1/fig1_no_obs_map.pro
===================================================================
--- /trunk/src/paper01/fig1/fig1_no_obs_map.pro	(revision 45)
+++ /trunk/src/paper01/fig1/fig1_no_obs_map.pro	(revision 46)
@@ -42,4 +42,7 @@
 ; :ref:`tropflux_init.pro`
 ;
+; :func:`x_site_location`
+; :func:`y_site_location`
+;
 ; :ref:`oaflux_mask_30N30S.pro`
 ;
@@ -69,4 +72,8 @@
 ;
 ; $Id$
+;
+; - fplod 20110420T134821Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * externalize functions
 ;
 ; - fplod 20110412T073818Z aedon.locean-ipsl.upmc.fr (Darwin)
@@ -222,43 +229,2 @@
 spawn, 'gv '+fig
 end
-
-function x_site_location, site
-    n1=strpos(site, 's')
-if (n1 gt -1) then begin
-    ns=-1.
-    x=strmid(site, 0, n1)
-    x=float(x)*ns
-endif else begin
-    n1=strpos(site, 'n')
-    x=strmid(site, 0, n1)
-    ny=1.
-    x=float(x)*ny
-endelse
-return, float(x)
-end
-
-function y_site_location, site
-    n1=strpos(site, 'e')
-if (n1 gt -1) then begin
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-    endelse
-
-endif else begin
-    n1=strpos(site, 'w')
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-   endelse
-endelse
-return,float(y)
-end
Index: /trunk/src/paper01/fig10/fig10_swr_correction.pro
===================================================================
--- /trunk/src/paper01/fig10/fig10_swr_correction.pro	(revision 45)
+++ /trunk/src/paper01/fig10/fig10_swr_correction.pro	(revision 46)
@@ -1,4 +1,4 @@
 ;+
-; .. _fig10_swr_correction.pro
+; .. _fig10_swr_correction.pro:
 ;
 ; ========================
@@ -9,8 +9,31 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph fig10_swr_correction {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       swr_isccp [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/swr_isccp_correction.txt"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/fig10_swr_correction.ps"];
+;
+;       fig10_swr_correction [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/broswrer/trunk/src/paper01/fig10/fig10_swr_correction.pro",
+;       label="${TROPFLUX}/src/paper01/fig10/fig10_swr_correction.pro"];
+;
+;       {swr_isccp} -> {fig10_swr_correction} -> {figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
+;
+; :ref:`significance_test_99.pro`
 ;
 ; EXAMPLES
@@ -22,8 +45,33 @@
 ;  IDL> fig10_swr_correction
 ;
+; TODO
+; ====
+;
+; check results
+;
+; improve plot
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
+;
 ; EVOLUTIONS
 ; ==========
 ;
 ; $Id$
+;
+; - fplod 20110420T140853Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * make it work on cratos
+;   * replace significance_test by significance_test_99
+;
+; - fplod 20110420T105744Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
 ;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
@@ -32,7 +80,7 @@
 ;
 ;-
-
 pro fig10_swr_correction
-@common
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
@@ -41,5 +89,5 @@
 close,/all
 
-fi='/Users/pkb/work/MY_SAXO/flux_automat/swr_isccp_correction.txt'
+fi=tropflux_id_env+'swr_isccp_correction.txt'
 res=read_ascii(fi,data_start=0)
 ff=res.field1
@@ -61,5 +109,5 @@
 significance_test_99,mean,bias
 
-fi='/Users/pkb/work/MY_SAXO/flux_automat/swr_isccp_correction.txt'
+fi=tropflux_id_env+'swr_isccp_correction.txt'
 res=read_ascii(fi,data_start=0)
 ff=res.field1
@@ -78,11 +126,11 @@
 
 ;; significant test
-significance_test,mean,std
+significance_test_99,mean,std
 
 closeps
 
-fig='fig10_swr_correction.ps'
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
+fig=tropflux_od_env+'fig10_swr_correction.ps'
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 
 end
Index: /trunk/src/paper01/fig11/swr_isccp_tropflux_correlation_fig10.pro
===================================================================
--- /trunk/src/paper01/fig11/swr_isccp_tropflux_correlation_fig10.pro	(revision 45)
+++ /trunk/src/paper01/fig11/swr_isccp_tropflux_correlation_fig10.pro	(revision 46)
@@ -9,8 +9,29 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph swr_isccp_tropflux_correlation_fig10 {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       sst [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_sst_19890101_20091231.nc"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/correlation_rmsd_olra_swra_smooth.ps"];
+;
+;       swr_isccp_tropflux_correlation_fig10 [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/broswrer/trunk/src/paper01/fig11/swr_isccp_tropflux_correlation_fig10.pro",
+;       label="${TROPFLUX}/src/paper01/fig11/swr_isccp_tropflux_correlation_fig10.pro"];
+;
+;       {sst} -> {swr_isccp_tropflux_correlation_fig10} -> {figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
 ;
 ; EXAMPLES
@@ -22,8 +43,26 @@
 ;  IDL> swr_isccp_tropflux_correlation_fig10
 ;
+; TODO
+; ====
+;
+; make it work on cratos : get rid of restore
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
+;
 ; EVOLUTIONS
 ; ==========
 ;
 ; $Id$
+;
+; - fplod 20110420T110411Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
 ;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
@@ -33,5 +72,6 @@
 ;-
 pro swr_isccp_tropflux_correlation_fig10
-@common
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
@@ -42,5 +82,5 @@
 restore, "/Users/pkb/work/MY_SAXO/correlation_isccp_olr.idl"
 
-file="/Volumes/Iomega_HDD/TropFlux/input_cor/full_cor/TropFlux_sst_19890101_20091231.nc"
+file=tropflux_id_env+'TropFlux_sst_19890101_20091231.nc"
 initncdf, file
 sst=read_ncdf("sst", 20000101, 20091231, file=file,/nostr)
@@ -56,8 +96,6 @@
 
 closeps
-fig='correlation_rmsd_olra_swra_smooth.ps'
-spawn, 'mv '+psdir+'idl.ps '+psdir+fig
-spawn, 'gv '+psdir+fig
-
-stop
+fig=tropflux_od_env+'correlation_rmsd_olra_swra_smooth.ps'
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 end
Index: /trunk/src/paper01/fig11/swr_isccp_tropflux_new_v1.pro
===================================================================
--- /trunk/src/paper01/fig11/swr_isccp_tropflux_new_v1.pro	(revision 45)
+++ /trunk/src/paper01/fig11/swr_isccp_tropflux_new_v1.pro	(revision 46)
@@ -10,8 +10,32 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph swr_isccp_tropflux_new_v1 {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       swr [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/swr_oafluxgrid_1985_2007.nc"];
+;       sw [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/sw_reconstred_1989_2009.nc"];
+;       olr [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/olr_oafluxgrid_30n30s.nc"];
+;       sst [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_sst_19890101_20091231_v20.nc"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/correlation_rmsd_olra_swra_smooth.ps"];
+;
+;       swr_isccp_tropflux_new_v1 [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/broswrer/trunk/src/paper01/fig11/swr_isccp_tropflux_new_v1.pro",
+;       label="${TROPFLUX}/src/paper01/fig11/swr_isccp_tropflux_new_v1.pro"];
+;
+;       {swr sw olr sst} -> {swr_isccp_tropflux_new_v1} -> {figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
 ;
 ; EXAMPLES
@@ -23,8 +47,26 @@
 ;  IDL> swr_isccp_tropflux_new_v1
 ;
+; TODO
+; ====
+;
+; make it work on cratos : mising data
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
+;
 ; EVOLUTIONS
 ; ==========
 ;
 ; $Id$
+;
+; - fplod 20110420T113330Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
 ;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
@@ -34,5 +76,6 @@
 ;-
 pro swr_isccp_tropflux_new_v1
-@common
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
@@ -41,13 +84,13 @@
 st=19890101 & en=20071231
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/swr_oafluxgrid_1985_2007.nc'
+file=tropflux_id_env+'swr_oafluxgrid_1985_2007.nc'
 initncdf, file
 sw_isccp=read_ncdf("swr", st, en, file=file,/nostr)
 
-file='/Volumes/Iomega_HDD/flux_reconstruction/basic_data/sw_reconstred_1989_2009.nc'
+file=tropflux_id_env+'sw_reconstred_1989_2009.nc'
 initncdf, file
 sw_trop=read_ncdf("sw", st, en+1, file=file,/nostr)
 
-file='/Volumes/Iomega_HDD/flux_reconstruction/basic_data/olr_oafluxgrid_30n30s.nc'
+file=tropflux_id_env+'olr_oafluxgrid_30n30s.nc'
 initncdf, file
 olr=read_ncdf("olr", st, en, file=file,/nostr)
@@ -132,5 +175,5 @@
      subt='',title='a) Correlation (OLRA, SWRA)',xminor=1,yminor=1
 
-file="/Volumes/Iomega_HDD/TropFlux/input_cor/full_cor/TropFlux_sst_19890101_20091231_v20.nc"
+file=tropflux_id_env+'TropFlux_sst_19890101_20091231_v20.nc"
 initncdf, file
 sst=read_ncdf("sst", 19890101, 20091231, file=file,/nostr)
@@ -149,9 +192,6 @@
 
 closeps
-fig='correlation_rmsd_olra_swra_smooth.ps'
-spawn, 'mv '+psdir+'idl.ps '+psdir+fig
-spawn, 'gv '+psdir+fig
-
-return
-
+fig=tropflux_od_env+'correlation_rmsd_olra_swra_smooth.ps'
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 end
Index: /trunk/src/paper01/fig12/swr_statistics_map_2000_2009_v50.pro
===================================================================
--- /trunk/src/paper01/fig12/swr_statistics_map_2000_2009_v50.pro	(revision 45)
+++ /trunk/src/paper01/fig12/swr_statistics_map_2000_2009_v50.pro	(revision 46)
@@ -1,4 +1,4 @@
 ;+
-; .. _swr_statistics_map_2000_2009_v50.pro
+; .. _swr_statistics_map_2000_2009_v50.pro:
 ;
 ; ====================================
@@ -9,8 +9,33 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph swr_statistics_map_2000_2009_v50 {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       swr_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/swr_2000_2009_erai_v50.txt"];
+;       swr_trop [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/swr_2000_2009_trop_v50.txt"];
+;       swr_oaflx [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/swr_2000_2009_oaflx_v50.txt"];
+;       swr_olr [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/swr_2000_2009_olr_v50.txt"];
+;       mask [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/longwave_IO_mask.nc"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/swr_statistics_map_2000_2009_v50.ps"];
+;
+;       swr_statistics_map_2000_2009_v50 [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/broswrer/trunk/src/paper01/fig12/swr_statistics_map_2000_2009_v50.pro",
+;       label="${TROPFLUX}/src/paper01/fig12/swr_statistics_map_2000_2009_v50.pro"];
+;
+;       {swr_erai swr_trop swr_oaflx swr_olr mask} -> {swr_statistics_map_2000_2009_v50} -> {figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
 ;
 ; EXAMPLES
@@ -22,4 +47,17 @@
 ;  IDL> swr_statistics_map_2000_2009_v50
 ;
+; TODO
+; ====
+;
+; make it work on cratos : missing data
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
+;
 ; EVOLUTIONS
 ; ==========
@@ -27,4 +65,10 @@
 ; $Id$
 ;
+; - fplod 20110420T113846Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove stop
+;   * remove hard coding path
+;   * add graphviz
+;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
 ;
@@ -33,5 +77,6 @@
 ;-
 pro swr_statistics_map_2000_2009_v50
-@common
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
@@ -44,8 +89,8 @@
 rmsd_mi=10  & rmsd_ma=30 & rmsd_int=1.25
 cor_mi=0.5   & cor_ma=1.  & cor_int=0.02
-fi_swr_erai='/Users/pkb/work/MY_SAXO/flux_automat/swr_2000_2009_erai_v50.txt'
-fi_swr_trop='/Users/pkb/work/MY_SAXO/flux_automat/swr_2000_2009_trop_v50.txt'
-fi_swr_oaflx='/Users/pkb/work/MY_SAXO/flux_automat/swr_2000_2009_oaflx_v50.txt'
-fi_swr_olr='/Users/pkb/work/MY_SAXO/flux_automat/swr_2000_2009_olr_v50.txt'
+fi_swr_erai=tropflux_id_env+'swr_2000_2009_erai_v50.txt'
+fi_swr_trop=tropflux_id_env+'swr_2000_2009_trop_v50.txt'
+fi_swr_oaflx=tropflux_id_env+'swr_2000_2009_oaflx_v50.txt'
+fi_swr_olr=tropflux_id_env+'swr_2000_2009_olr_v50.txt'
 
 res=read_ascii(fi_swr_erai,data_start=1)
@@ -92,6 +137,5 @@
 
 ;ind=where(std_olr ge std_ma) & std_olr(ind)=std_ma-0.01
-stop
-file='/Users/pkb/data/heat_budget/OAFLUX/longwave_IO_mask.nc'
+file=tropflux_id_env+'longwave_IO_mask.nc'
 initncdf, file
 domdef, 30,390,-30,30
@@ -516,7 +560,6 @@
 endfor
 closeps
-fig='swr_statistics_map_2000_2009_v50.ps'
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
-return
+fig=tropflux_od_env+'swr_statistics_map_2000_2009_v50.ps'
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 end
Index: /trunk/src/paper01/fig13/net_flux_validation_scatter_2000_2007.pro
===================================================================
--- /trunk/src/paper01/fig13/net_flux_validation_scatter_2000_2007.pro	(revision 45)
+++ /trunk/src/paper01/fig13/net_flux_validation_scatter_2000_2007.pro	(revision 46)
@@ -1,4 +1,4 @@
 ;+
-; .. _net_flux_validation_scatter_2000_2007.pro
+; .. _net_flux_validation_scatter_2000_2007.pro:
 ;
 ; =========================================
@@ -9,8 +9,47 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph net_flux_validation_scatter_2000_2007 {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       tropflux_general [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_19890101_20091231.nc"];
+;       tropflux_dt_swr [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_swr_19890101_20071231_DT_v50.nc"];
+;       tropflux_nrt_swr [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_swr_19890101_20091231_NRT_v50.nc"];
+;       ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/NCEP2_flux_19890101_20090729.nc"];
+;       erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_fluxes_19930101_20090801_TROP_oafluxgrid.nc"];
+;       shf_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/shf_oafluxgrid_1985_2008.nc"];
+;       lhf_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lhf_oafluxgrid_1985_2008.nc"];
+;       lwr_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lwr_oafluxgrid_1985_2007.nc"];
+;       ncep1 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/fluxe_ncep1_19890101_20091231.nc"];
+;       net_nrt_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/net_2000_2007_erai_v50.txt"];
+;       net_nrt_trop [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/net_2000_2007_trop_v50.txt"];
+;       net_nrt_ncep [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/net_2000_2007_ncep_v50.txt"];
+;       net_nrt_ncep1 [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/net_2000_2007_ncep1_v50.txt"];
+;       net_nrt_tropd [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/net_2000_2007_tropd_v50.txt"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/net_flux_validation_scatter_2000_2007.ps"];
+;
+;       net_flux_validation_scatter_2000_2007 [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/broswrer/trunk/src/paper01/fig13/net_flux_validation_scatter_2000_2007.pro",
+;       label="${TROPFLUX}/src/paper01/fig13/net_flux_validation_scatter_2000_2007.pro"];
+;
+;       {tropflux_general tropflux_dt_swr tropflux_nrt_swr ncep2 erai shf_oafluxgrid lhf_oafluxgrid lwr_oafluxgrid ncep1} -> {net_flux_validation_scatter_2000_2007} -> {net_nrt_erai net_nrt_trop net_nrt_ncep net_nrt_ncep1 net_nrt_tropd figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
+;
+; :func:`x_site_location`
+; :func:`y_site_location`
+;
+; :ref:`statistics_3var_v1.pro`
 ;
 ; EXAMPLES
@@ -20,7 +59,20 @@
 ;
 ;  IDL> @tropflux_init
-;  IDL> date1=++
-;  IDL> date2=++
+;  IDL> date1=19890101L
+;  IDL> date2=20091231L
 ;  IDL> net_flux_validation_scatter_2000_2007, date1, date2
+;
+; TODO
+; ====
+;
+; make it work on cratos : missing data
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
 ;
 ; EVOLUTIONS
@@ -29,4 +81,10 @@
 ; $Id$
 ;
+; - fplod 20110420T114953Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
+;   * externalize functions
+;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
 ;
@@ -35,6 +93,6 @@
 ;-
 pro net_flux_validation_scatter_2000_2007, date1, date2
-@common
-
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
@@ -61,5 +119,5 @@
 nsmooth=1.
 ;;   This program will create the following text files with statistics of respective variables
-file_trop='/Users/pkb/data/TropFlux/TropFlux_19890101_20091231.nc'
+file_trop=tropflux_id_env+'TropFlux_19890101_20091231.nc'
 initncdf, file_trop
 shf_trop=read_ncdf("shf", date1, date2, file=file_trop,/nostr)
@@ -67,5 +125,5 @@
 lwr_trop=read_ncdf("lwr", date1, date2, file=file_trop,/nostr)
 
-file_trop='/Users/pkb/data/TropFlux/TropFlux_swr_19890101_20071231_DT_v50.nc'
+file_trop=tropflux_id_env+'TropFlux_swr_19890101_20071231_DT_v50.nc'
 initncdf, file_trop
 swr_dt=read_ncdf("swr", date1, date2, file=file_trop,/nostr)
@@ -73,5 +131,5 @@
 help, trop
 
-file_trop='/Users/pkb/data/TropFlux/TropFlux_swr_19890101_20091231_NRT_v50.nc'
+file_trop=tropflux_id_env+'TropFlux_swr_19890101_20091231_NRT_v50.nc'
 initncdf, file_trop
 swr_nrt=read_ncdf("sw", date1-1, date2, file=file_trop,/nostr)
@@ -79,5 +137,5 @@
 help, tropd
 
-file_ncep='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/NCEP2_flux_19890101_20090729.nc'
+file_ncep=tropflux_id_env+'NCEP2_flux_19890101_20090729.nc'
 initncdf, file_ncep
 shf=read_ncdf("shf", date1, date2, file=file_ncep,/nostr)
@@ -90,5 +148,5 @@
 help, ncep
 
-file_erai='/Volumes/Iomega_HDD/work/flux_reconstruction/gridded_data/erai_fluxes_19930101_20090801_TROP_oafluxgrid.nc'
+file_erai=tropflux_id_env+'erai_fluxes_19930101_20090801_TROP_oafluxgrid.nc'
 initncdf, file_erai
 shf=read_ncdf("shf", date1, date2, file=file_erai,/nostr)
@@ -99,14 +157,14 @@
 help, erai
 
-file_oaf='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/shf_oafluxgrid_1985_2008.nc'
+file_oaf=tropflux_id_env+'shf_oafluxgrid_1985_2008.nc'
 initncdf, file_oaf
 shf=read_ncdf("shf", date1, date2, file=file_oaf,/nostr)
-file_oaf='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/lhf_oafluxgrid_1985_2008.nc'
+file_oaf=tropflux_id_env+'lhf_oafluxgrid_1985_2008.nc'
 initncdf, file_oaf
 lhf=read_ncdf("lhf", date1, date2, file=file_oaf,/nostr)
-file_oaf='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/lwr_oafluxgrid_1985_2007.nc'
+file_oaf=tropflux_id_env+'lwr_oafluxgrid_1985_2007.nc'
 initncdf, file_oaf
 lwr=read_ncdf("lwr", date1, date2, file=file_oaf,/nostr)
-file_oaf='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/swr_oafluxgrid_1985_2007.nc'
+file_oaf=tropflux_id_env+'swr_oafluxgrid_1985_2007.nc'
 initncdf, file_oaf
 swr=read_ncdf("swr", date1, date2, file=file_oaf,/nostr) & swr_trop=swr
@@ -114,5 +172,5 @@
 help, oafl
 
-file='/Volumes/Iomega_HDD/flux_reconstruction/ncep/fluxe_ncep1_19890101_20091231.nc'
+file=tropflux_id_env+'fluxe_ncep1_19890101_20091231.nc'
 initncdf, file
 lwr=read_ncdf("lwr", date1, date2, file=file,/nostr)
@@ -126,15 +184,15 @@
 close,/all
 
-fi_net_NRT_erai='/Users/pkb/work/MY_SAXO/flux_automat/net_2000_2007_erai_v50.txt'
+fi_net_NRT_erai=tropflux_id_env+'net_2000_2007_erai_v50.txt'
 openw,1,fi_net_NRT_erai
-fi_net_NRT_trop='/Users/pkb/work/MY_SAXO/flux_automat/net_2000_2007_trop_v50.txt'
+fi_net_NRT_trop=tropflux_id_env+'net_2000_2007_trop_v50.txt'
 openw,2,fi_net_NRT_trop
-fi_net_NRT_oaflx='/Users/pkb/work/MY_SAXO/flux_automat/net_2000_2007_oaflx_v50.txt'
+fi_net_NRT_oaflx=tropflux_id_env+'net_2000_2007_oaflx_v50.txt'
 openw,3,fi_net_NRT_oaflx
-fi_net_NRT_ncep='/Users/pkb/work/MY_SAXO/flux_automat/net_2000_2007_ncep_v50.txt'
+fi_net_NRT_ncep=tropflux_id_env+'net_2000_2007_ncep_v50.txt'
 openw,4,fi_net_NRT_ncep
-fi_net_NRT_ncep1='/Users/pkb/work/MY_SAXO/flux_automat/net_2000_2007_ncep1_v50.txt'
+fi_net_NRT_ncep1=tropflux_id_env+'net_2000_2007_ncep1_v50.txt'
 openw,5,fi_net_NRT_ncep1
-fi_net_NRT_tropd='/Users/pkb/work/MY_SAXO/flux_automat/net_2000_2007_tropd_v50.txt'
+fi_net_NRT_tropd=tropflux_id_env+'net_2000_2007_tropd_v50.txt'
 openw,6,fi_net_NRT_tropd
 
@@ -149,6 +207,4 @@
 nn=n_elements(sitelist)
 
-date1=date1
-date2=date2
 for n=0, nn-1 do begin
 
@@ -219,5 +275,5 @@
 close,/all
 
-fi_net_NRT_erai='/Users/pkb/work/MY_SAXO/flux_automat/net_2000_2007_erai_v50.txt'
+fi_net_NRT_erai=tropflux_id_env+'net_2000_2007_erai_v50.txt'
 res=read_ascii(fi_net_NRT_erai,data_start=1)
 ff=res.field1
@@ -251,5 +307,5 @@
 
 
-fi_net_NRT_trop='/Users/pkb/work/MY_SAXO/flux_automat/net_2000_2007_trop_v50.txt'
+fi_net_NRT_trop=tropflux_id_env+'net_2000_2007_trop_v50.txt'
 res=read_ascii(fi_net_NRT_trop,data_start=1)
 ff=res.field1
@@ -283,5 +339,5 @@
 
 
-fi_net_NRT_oaflx='/Users/pkb/work/MY_SAXO/flux_automat/net_2000_2007_oaflx_v50.txt'
+fi_net_NRT_oaflx=tropflux_id_env+'net_2000_2007_oaflx_v50.txt'
 res=read_ascii(fi_net_NRT_oaflx,data_start=1)
 ff=res.field1
@@ -316,5 +372,5 @@
 
 
-fi_net_NRT_ncep='/Users/pkb/work/MY_SAXO/flux_automat/net_2000_2007_ncep_v50.txt'
+fi_net_NRT_ncep=tropflux_id_env+'net_2000_2007_ncep_v50.txt'
 res=read_ascii(fi_net_NRT_ncep,data_start=1)
 ff=res.field1
@@ -348,5 +404,5 @@
 
 
-fi_net_NRT_ncep1='/Users/pkb/work/MY_SAXO/flux_automat/net_2000_2007_ncep1_v50.txt'
+fi_net_NRT_ncep1=tropflux_id_env+'net_2000_2007_ncep1_v50.txt'
 res=read_ascii(fi_net_NRT_ncep1,data_start=1)
 ff=res.field1
@@ -380,5 +436,5 @@
 
 
-fi_net_NRT_tropd='/Users/pkb/work/MY_SAXO/flux_automat/net_2000_2007_tropd_v50.txt'
+fi_net_NRT_tropd=tropflux_id_env+'net_2000_2007_tropd_v50.txt'
 res=read_ascii(fi_net_NRT_tropd,data_start=1)
 ff=res.field1
@@ -413,46 +469,6 @@
 closeps
 
-fig='net_flux_validation_scatter_2000_2007.ps'
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
-return
+fig=tropflux_od_env+'net_flux_validation_scatter_2000_2007.ps'
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 end
-function x_site_location, site
-    n1=strpos(site, 's')
-if (n1 gt -1) then begin
-    ns=-1.
-    x=strmid(site, 0, n1)
-    x=float(x)*ns
-endif else begin
-    n1=strpos(site, 'n')
-    x=strmid(site, 0, n1)
-    ny=1.
-    x=float(x)*ny
-endelse
-return, float(x)
-end
-function y_site_location, site
-    n1=strpos(site, 'e')
-if (n1 gt -1) then begin
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-    endelse
-
-endif else begin
-    n1=strpos(site, 'w')
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-   endelse
-endelse
-return,float(y)
-end
